"""
Configs migration

Generation datetime: 2022-07-11 14:16:38.292894
"""

from typing import List

from configs_core.migration.db_migrate_helper import DatabaseMigrationHelper, LimitationToModify

mh: DatabaseMigrationHelper

REVISION = "b039d1f9"
DOWN_REVISION = "46e61780"


limitationsToModify: List[LimitationToModify] = []


def upgrade():
    """Upgrade configs to new revision"""

    # limitations to add
    mh.addLimitation(
        limitationName="ALLOW_LUNA_ACCOUNT_AUTH_HEADER",
        validationSchema={"type": "boolean"},
        defaultValue=True,
        description="Whether to allow Luna-Account-Id auth header",
        services=["luna-api"],
        groupNames=["luna-platform"],
    )

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)


def downgrade():
    """Downgrade configs to previous revision"""

    # limitations to modify
    for limitation in limitationsToModify:
        mh.migrateLimitation(limitation)

    # limitations to remove
    mh.removeLimitation(limitationName="ALLOW_LUNA_ACCOUNT_AUTH_HEADER")
